<bugID>748935<Summary>[Meta] pdf.js - Feature: Printing</Summary><Description>We either enable the printing of all pages (including books with 1,000+ pages) or we need to reliably alert users when we know we can't handle it. 

We don't want to waste users' papers by printing only a part of their document/book.</Description></bugID>